15.02.2017

CompatLayer для Майнкрафт 1.10.2

CompatLayer скриншот 1Этот небольшой мод-библиотека имеет некоторые инструменты, которые помогают обеспечить двоичную совместимость модификаций между версиями 1.10.2 и 1.11. Если убедитесь, что правильно используете API в этом дополнении, то можно будет сделать универсальный мод, который работает на обоих версиях. 

Существует несколько вещей, которые должен сделать пользователь в дополнение к функциям библиотеки. Сделать все имена ресурсов (lang-файлы, названия моделей, json-файлы, другие файлы и текстуры и т.д.) в нижнем регистре в версии 1.10.2. Добавить FMLMissingMapping для обеспечения старой загрузки миров. ID мода тоже следует перевести в нижний регистр. Заменить tileEntity.worldObj на tileEntity.getWorld. Поменять entityPlayer.worldObj на entityPlayer.getEntityWorld. Данный мод для Майнкрафт 1.10.2 находится на стадии альфа-версии и разработка ещё не завершена.

CompatLayer скриншот 2

Как установить модификацию:

Первый шаг: скачайте и установите Minecraft Forge (В лаунчере можно выбрать версию с ним).

Второй шаг: скачайте пакет с модификацией.

Третий шаг: скопируйте пакет мода CompatLayer в раздел .minecraft/mods (если данной папки не существует, установите Forge ещё раз или создайте её сами).

Скачать

Комментарии